import React from 'react'
import styles from './style.module.scss'
import BraftEditor from 'braft-editor'
import 'braft-editor/dist/index.css'
interface IProps {
  value?: any
  onChange?: (obj: any) => void
}
const BaseEditor: React.FC<IProps> = props => {
  const { value, onChange } = props
  return (
    <div className={styles.editorWrap}>
      <BraftEditor
        excludeControls={['media']}
        onChange={e => {
          onChange(e.toHTML())
        }}
        value={value}
      />
    </div>
  )
}

export default BaseEditor
