import { FileTextOutlined, SnippetsOutlined, ShoppingCartOutlined } from '@ant-design/icons'
import { EXPRESS_LIST } from '@/router/config/express-manage/path'
import { PURCHASE_ORDER_LIST } from '@/router/config/order-manage/path'
import { PURCHASE_HOME } from '@/router/config/purchase-module/path'

export interface MenuItem {
  key: string | number
  title: string
  icon?: React.ReactNode
  path?: string
  children?: MenuItem[]
}

const MENU_CONFIG: MenuItem[] = [
  {
    key: '103',
    title: '采购进货',
    icon: ShoppingCartOutlined,
    children: [
      {
        key: '1031',
        title: '采购进货',
        path: PURCHASE_HOME
      }
    ]
  },
  {
    key: '101',
    title: '订单管理',
    icon: FileTextOutlined,
    children: [
      {
        key: '1011',
        title: '采购订单',
        path: PURCHASE_ORDER_LIST
      }
      // {
      //   key: '1012',
      //   title: '销售订单',
      //   path: SALES_ORDER_LIST
      // }
    ]
  },
  {
    key: '102',
    title: '物流管理',
    icon: SnippetsOutlined,
    children: [
      {
        key: '1021',
        title: '收货管理',
        path: EXPRESS_LIST
      }
    ]
  }
]

export default MENU_CONFIG
