import { pageLogistics, IParams } from '@/services/mods/merchProcurementOrder/pageLogistics'
export const namespace = 'express-manage-list'

export interface IDvaState {
  deliveryList: defs.OrderLogisticsReponse[]
  totalCount: number
}

const state: IDvaState = {
  deliveryList: [],
  totalCount: 0
}
export default {
  namespace,
  state,
  effects: {
    /**
     * 查询发货记录列表信息
     */
    *queryList({ payload }, { put, call }) {
      try {
        const params: IParams = {
          queryParams: {},
          bodyParams: {
            ...payload
          }
        }
        const result: API.merchProcurementOrder.pageLogistics.Response = yield call(pageLogistics, params)
        yield put({
          type: 'setState',
          payload: { deliveryList: result.results, totalCount: result.totalCount }
        })
      } catch (error) {}
    },
    *clearData(_, { put }) {
      yield put({
        type: 'setState',
        payload: { deliveryList: [], totalCount: 0 }
      })
    }
  },
  reducers: {
    setState(state, { payload }) {
      return { ...state, ...payload }
    }
  }
}
