import { listOrderGoodsReceiveInfo } from '@/services/mods/merchProcurementOrder/listOrderGoodsReceiveInfo'
import { receive } from '@/services/mods/merchOrderStatus/receive'
import { message } from 'antd'
export const namespace = 'order-manage-commodity-delivery'

export interface IDvaState {
  goodsReceiveInfo: defs.OrderDetailSendedResponse[]
}

const state: IDvaState = {
  goodsReceiveInfo: []
}
export default {
  namespace,
  state,
  effects: {
    /**
     * 获取取消订单原因
     */
    *listOrderGoodsReceiveInfo({ payload }, { put, call }) {
      try {
        const resp = yield call(listOrderGoodsReceiveInfo, {
          queryParams: payload
        })
        yield put({
          type: 'setState',
          payload: { goodsReceiveInfo: resp }
        })
        // eslint-disable-next-line no-empty
      } catch (error) {}
    },
    /**
     * 收货
     */
    *receive({ payload, callback }, { call }) {
      try {
        const { data } = yield call(receive, {
          queryParams: payload
        })
        if (data) {
          message.success('收货成功', 2)
          if (typeof callback === 'function') {
            callback()
          }
        }
        // eslint-disable-next-line no-empty
      } catch (error) {}
    }
  },
  reducers: {
    setState(state, { payload }) {
      return { ...state, ...payload }
    }
  }
}
