import { cancel, IParams } from '@/services/mods/merchOrderStatus/cancel'
import { message } from 'antd'

export const namespace = 'purchase-module-order-manage-common'

export default {
  namespace,
  state: null,
  effects: {
    /**
     * 查询采购订单列表信息
     */
    *cancelOrder({ payload: { orderId }, callback }, { put, call }) {
      try {
        const params: IParams = {
          queryParams: {
            id: orderId
          }
        }
        const result: defs.Result<boolean> = yield call(cancel, params)
        if (result.data) {
          message.success('订单已取消')
          callback() // 更新数据的一些操作等
        }
      } catch (error) {}
    }
  },
  reducers: {
    setState(state, { payload }) {
      return { ...state, ...payload }
    }
  }
}
