export class GoodsInfoProductResp {
  /** 规格属性值 */
  attributeSpecOptions?: Array<GoodsInfoAttributeSpecOptionProductResp>

  /** 规格属性 */
  attributeSpecs?: Array<GoodsInfoAttributeSpecProductResp>

  /** 商品基础配置信息 */
  basicConf?: Array<string>

  /** 是否可以购买 */
  canBuy?: boolean

  /** 轮播图 */
  carousel?: Array<string>

  /** 分类id */
  categoryId?: number

  /** 货币代码 */
  currencyCode?: string

  /** 商品品牌id */
  goodsBrandId?: string

  /** 商品品牌类型 */
  goodsBrandType?: string

  /** 商品id */
  goodsId?: string

  /** 商品图片 */
  goodsImage?: string

  /** 商品名称 */
  goodsName?: string

  /** 商品描述 */
  goodsRemark?: string

  /** 商品单位 */
  goodsUnit?: string

  /** 是否有规格图片 */
  hasSpecRes?: boolean

  /** 最少购买数量 */
  minBuyCount?: number

  /** 商品最小价格 */
  miniPrice?: string

  /** 货币符号 */
  moneySymbol?: string

  /** 商品是否上线 */
  onlineState?: boolean

  /** 开启库存 */
  openStock?: boolean

  /** 商品预计生产时间（天） */
  produceDay?: number

  /** 描述图 */
  remarkImages?: Array<string>

  /** 品牌id */
  sellerBrandId?: string

  /** 品牌名称 */
  sellerBrandName?: string

  /** 供应商id */
  supplierId?: string | number

  /** 供应商名称 */
  sellerName?: string

  /** 规格 */
  specs?: Array<GoodsInfoSpecProductResp>

  /** 库存紧张限额 */
  stockThreshold?: number

  /** 上级商家名称 */
  supplierName?: string

  /** 商品指导价格 */
  guidePrice?: string
  /** 单品采购价 */
  purchasePrice?: string
}

export class GoodsInfoAttributeSpecOptionProductResp {
  /** 规格属性值图片 */
  attributeSpecOptionImge?: string

  /** 商品id */
  goodsId?: string

  /** 排序正序 */
  optionRank?: number

  /** 模板规格属性id */
  templateSpecId?: string

  /** 模板规格属性值id */
  templateSpecOptionId?: string

  /** 模板规格属性值 */
  templateSpecOptionName?: string
}

export class GoodsInfoAttributeSpecProductResp {
  /** 商品id */
  goodsId?: string

  /** 排序 顺序 */
  specRank?: number

  /** 规格模板属性id */
  templateSpecId?: string

  /** 规格模板属性名称 */
  templateSpecSpecName?: string
}

export class GoodsInfoSpecProductResp {
  /** 品牌id */
  brandId?: string

  /** 分类id */
  categoryId?: string

  /** 货币代码 */
  currencyCode?: string

  /** 商品id */
  goodsId?: string

  /** 商品名称 */
  goodsName?: string

  /** 货币符号 */
  moneySymbol?: string

  /** 商品规格价格 */
  price?: number

  /** 商品规格id */
  specId?: string

  /** 商品规格名称 */
  specName?: string

  /** 商品规格码（规格值 顺序排序 重新组装） */
  specOptionCode?: string

  /** 库存数量 */
  stockQuantity?: number

  /** 第三方编码 */
  thirdCode?: string

  /** 指导价 */
  guidePrice?: number
  /** 单品采购价 */
  purchasePrice?: number

  /** 规格采购阶梯价格 */
  ladderPrice?: Array<any>
  quantity?: number
}

export class GoodsInfoProductRespEntity {
  /** 规格属性值 */
  attributeSpecOptions = []

  /** 规格属性 */
  attributeSpecs = []

  /** 商品基础配置信息 */
  basicConf = []

  /** 是否可以购买 */
  canBuy = false

  /** 轮播图 */
  carousel = []

  /** 分类id */
  categoryId = undefined

  /** 货币代码 */
  currencyCode = ''

  /** 商品品牌id */
  goodsBrandId = undefined

  /** 商品品牌类型 */
  goodsBrandType = ''

  /** 商品id */
  goodsId = undefined

  /** 商品图片 */
  goodsImage = ''

  /** 商品名称 */
  goodsName = ''

  /** 商品描述 */
  goodsRemark = ''

  /** 商品单位 */
  goodsUnit = ''

  /** 是否有规格图片 */
  hasSpecRes = false

  /** 最少购买数量 */
  minBuyCount = undefined

  /** 商品最小价格 */
  miniPrice = ''

  /** 货币符号 */
  moneySymbol = ''

  /** 商品是否上线 */
  onlineState = false

  /** 开启库存 */
  openStock = false

  /** 商品预计生产时间（天） */
  produceDay = undefined

  /** 描述图 */
  remarkImages = []

  /** 品牌id */
  sellerBrandId = undefined

  /** 品牌名称 */
  sellerBrandName = ''

  /** 供应商id */
  sellerId = undefined

  /** 供应商名称 */
  sellerName = ''

  /** 规格 */
  specs = []

  /** 库存紧张限额 */
  stockThreshold = undefined

  /** 上级商家名称 */
  supplierName = ''
}
