import React from 'react'
import { ColumnProps } from 'antd/lib/table'
import { Button } from 'antd'
import { Link } from 'react-router-dom'
import { PURCHASE_ORDER_DETAIL } from '@/router/config/order-manage/path'

export type IAgent = defs.OrderLogisticsReponse

function renderSendCode(value: string, record: IAgent) {
  return (
    <Link to={{ pathname: PURCHASE_ORDER_DETAIL, search: `?orderId=${record.orderId}` }} target="_blank">
      {value}
    </Link>
  )
}
function renderOperation(value: string, record: IAgent): JSX.Element {
  /**
   * ("distribution", "待收货")
   * ("deliveried", "已送达")
   */
  if (record.status === 'distribution') {
    return (
      <Link to={{ pathname: PURCHASE_ORDER_DETAIL, search: `?orderId=${record.orderId}&tab=2` }} target="_blank">
        <p style={{ textAlign: 'center' }}>
          <Button type="primary">去收货</Button>
        </p>
      </Link>
    )
  }
  if (record.status === 'deliveried') {
    return (
      <>
        <p style={{ textAlign: 'center' }}>已收货</p>
        <p style={{ textAlign: 'center' }}>{record.receiversTime}</p>
      </>
    )
  }
}
export function getColumns() {
  const columns: ColumnProps<IAgent>[] = [
    {
      key: 'sendCode',
      title: '发货单号',
      width: 150,
      dataIndex: 'sendCode',
      render: renderSendCode
    },
    {
      key: 'sendUserName',
      title: '发货商家',
      width: 120,
      dataIndex: 'sendUserName'
    },
    {
      key: 'orderCode',
      title: '采购单号',
      width: 100,
      dataIndex: 'orderCode'
    },
    {
      key: 'logisticsProvider',
      title: '物流公司',
      width: 170,
      dataIndex: 'logisticsProvider'
    },
    {
      key: 'logisticsCode',
      title: '物流单号',
      width: 170,
      dataIndex: 'logisticsCode'
    },
    {
      key: 'sendTime',
      title: '发货时间',
      width: 120,
      dataIndex: 'sendTime'
    },
    {
      key: 'operation',
      title: '操作',
      width: 120,
      align: 'center',
      render: renderOperation
    }
  ]
  return columns
}
