import { useState } from 'react'

type returned = [string, (e: React.ChangeEvent<HTMLInputElement> | string) => void]

export const searchDefaultValue = null
export const useSearch = (value = searchDefaultValue, callback?: (keywords: string) => void): returned => {
  const [keywords, setKeywords] = useState(value)
  function handleChange(e: React.ChangeEvent<HTMLInputElement> | string) {
    if (typeof e === 'string') {
      setKeywords(e)
      return
    }
    const value = e.target.value
    setKeywords(value)
    typeof callback === 'function' && callback(value)
  }
  return [keywords, handleChange]
}
