import React from 'react'
import { Modal } from 'antd'
import { ExclamationCircleOutlined } from '@ant-design/icons'
import { namespace } from '@/models/order-manage/purchase/common'

function orderCancel(dispatch, orderId, callback) {
  Modal.confirm({
    title: '取消订单',
    content: '是否确认取消订单？',
    icon: <ExclamationCircleOutlined />,
    okText: '确认取消',
    cancelText: '取消',
    onOk: () =>
      dispatch({
        type: `${namespace}/cancelOrder`,
        payload: {
          orderId
        },
        callback
      })
  })
}

export default orderCancel
