import React, { useEffect } from 'react'
// import StepBox from './components/step-box'
import DeliveryRecord from './components/delivery-record'
import { DefaultContainer } from '@/pages/layout/list-layout'
import { covertSearch2Obj } from '@/utils'
import { Empty } from 'antd'
import { useLocation } from 'react-router-dom'
import { IDvaState, namespace } from '@/models/order-manage/purchase/commodity-delivery'
import { connect } from 'react-redux'
import { IDispatch } from '@/models/connect'

interface IProps extends IDvaState, IDispatch {
  onActionSuccess: () => void
}
const CommodityDelivery: React.FC<IProps> = props => {
  const { goodsReceiveInfo, dispatch, onActionSuccess } = props
  const location = useLocation()
  useEffect(() => {
    fetchOrderGoodsReceiveInfo()
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [])
  /**
   * 请求
   */
  function fetchOrderGoodsReceiveInfo() {
    const temp: any = covertSearch2Obj(location.search)
    if (temp.orderId && typeof temp.orderId !== 'undefined') {
      dispatch({
        type: `${namespace}/listOrderGoodsReceiveInfo`,
        payload: {
          orderId: temp.orderId
        }
      })
    }
  }
  return (
    <DefaultContainer>
      {/* 已发货物流列表 */}
      {goodsReceiveInfo?.length > 0
        ? goodsReceiveInfo.map((v, i) => (
            <DeliveryRecord
              sendedData={v}
              key={i}
              actionSuccess={() => {
                fetchOrderGoodsReceiveInfo()
                onActionSuccess()
              }}
            />
          ))
        : null}
      {goodsReceiveInfo?.length > 0 ? null : <Empty />}
    </DefaultContainer>
  )
}
const mapStateToProps = models => ({
  goodsReceiveInfo: models[namespace].goodsReceiveInfo
})

export default connect(mapStateToProps)(CommodityDelivery)
