import React from 'react'
import { IDispatch } from '@/models/connect'
import { Button } from 'antd'
import { namespace, IState } from '@/models/order-manage/purchase/detail'
import { connect } from 'react-redux'
import styles from './style.module.scss'
import orderCancel from '../../../components/cancel-order-modal'
import { covertSearch2Obj } from '@/utils'
import { useLocation } from 'react-router-dom'
// import classnames from 'classnames'

interface IProps extends IDispatch, Pick<IState, 'baseInfo'> {}

const FooterActionBar: React.FC<IProps> = ({ baseInfo, dispatch }) => {
  const location = useLocation()
  // 更新订单状态后，重新请求基础信息
  const callback = () => {
    dispatch({
      type: `${namespace}/init`,
      payload: {
        orderId: covertSearch2Obj(location.search).orderId
      }
    })
  }
  return (
    <>
      {baseInfo.status === 'created' ? (
        <div className={styles.container}>
          {/* <Button>导出订单</Button> */}
          <Button onClick={() => orderCancel(dispatch, baseInfo.id, callback)}>取消订单</Button>
        </div>
      ) : null}
    </>
  )
}

const mapStateToProps = models => ({
  baseInfo: models[namespace].baseInfo
})

export default connect(mapStateToProps)(FooterActionBar)
