import React from 'react'
import { Steps } from 'antd'

const { Step } = Steps
interface IProps {
  resp: defs.OrderInfoMainStatusResponse
}
export function StatusSteper(props: IProps) {
  const arr = [...props.resp.frontStatus, props.resp.currentStatus, ...props.resp.afterStatus]
  const current = arr.findIndex(it => it === props.resp.currentStatus)
  return (
    <div
      style={{
        paddingLeft: 24,
        paddingRight: 24,
        display: 'flex',
        alignItems: 'center',
        height: 100,
        backgroundColor: '#fff',
        marginBottom: 15
      }}
    >
      <Steps current={current}>
        {arr.map((item, key) => {
          return <Step key={key} title={item} />
        })}
      </Steps>
    </div>
  )
}
