import React from 'react'
import classnames from 'classnames'
import imgs from './images'
import styles from './style.module.scss'

interface IProp {
  currentId: string
  addressList: defs.UBuyerAddressResponse[]
  onChange: (id: string) => void
}
const OrderConfirm: React.FC<IProp> = props => {
  const { currentId, onChange, addressList } = props

  return (
    <div className={styles.deliveryWrap}>
      <h5 className={styles.title}>选择收货地址</h5>
      <div className={styles.listWrap}>
        {addressList.map((v, i) => (
          <div
            key={i}
            className={classnames(styles.itemBox, currentId === v.id ? styles.active : null)}
            onClick={() => {
              onChange(v.id)
            }}
          >
            <img src={imgs.Arr} alt="" className={styles.activeIcon} />
            <p className={styles.nameTitle}>
              {v.contact} <span>{v.mobile}</span>
            </p>
            <p className={styles.address}>
              {v.provinceName} {v.cityName} {v.districtName}
              {v.address}
            </p>
          </div>
        ))}
      </div>
    </div>
  )
}

export default OrderConfirm
