import React, { Component } from 'react'
import styles from './style.module.scss'
import classnames from 'classnames'
import { GoodsInfoAttributeSpecProductResp } from '@/models/purchase-module/product-detail/type'
interface IProps {
  attributeSpecs: GoodsInfoAttributeSpecProductResp[]
  selectedSpecOptionArrs: any[]
  onSelectSpec: (...arg) => void
}
export default class Index extends Component<IProps> {
  handleSelectSpec = it => {
    // 如果当前规格不可选 或者已经选中了，点击直接返回，不做任何操作
    if (!it.canSelect) {
      return
    }
    if (it.isSelected) {
      return this.props.onSelectSpec({ selectedSpecOption: it, isCancel: true })
    }
    this.props.onSelectSpec({ selectedSpecOption: it, isCancel: false })
  }

  render() {
    const { attributeSpecs, selectedSpecOptionArrs: selectedSpecOptionList } = this.props
    return (
      <div className={styles.specList}>
        {attributeSpecs.map(item => {
          return (
            <div className={styles.specItemListWrapper} key={item.templateSpecId}>
              <div className={styles.specName}>{item.templateSpecSpecName}</div>
              <div className={styles.specItemList}>
                {(item as any).options.map(it => {
                  let cond = false
                  const specOption = selectedSpecOptionList.find(q => q.templateSpecId === item.templateSpecId) || ''
                  if (specOption) {
                    cond = specOption.templateSpecOptionId === it.templateSpecOptionId
                  }
                  let cls = ''
                  if (cond) {
                    it.isSelected = true
                    cls = 'current'
                  } else {
                    it.isSelected = false
                    if (it.canSelect) {
                      cls = 'canSelect'
                    } else {
                      cls = 'cantSelect'
                    }
                  }
                  return (
                    <div
                      className={classnames(styles.specItemWrapper, styles[cls])}
                      key={it.templateSpecOptionId}
                      onClick={() => {
                        this.handleSelectSpec(it)
                      }}
                    >
                      {it.templateSpecOptionName}
                    </div>
                  )
                })}
              </div>
            </div>
          )
        })}
      </div>
    )
  }
}
