/* eslint-disable eqeqeq */
import React from 'react'
import { Goods } from '@/models/purchase-module/purchase-home'
import defaultImg from './default.png'
import styles from './style.module.scss'
// import { useHistory } from 'react-router-dom'
import { PURCHASE_DETAIL } from '@/router/config/purchase-module/path'

interface IProps {
  goods: Goods
  style?: React.CSSProperties
}

const GoodsCard: React.FC<IProps> = ({
  goods: { mianImage, name, supplierName, guidePrice, price, id, currencySymbol },
  style
}) => {
  // const history = useHistory()
  const redirect = () => {
    const win = window.open(`${PURCHASE_DETAIL}?id=${id}`)
    win.focus()
    // history.push({
    //   pathname: PURCHASE_DETAIL,
    //   search: `?id=${id}`
    // })
  }
  return (
    <div style={style} className={styles.goodsCardWrapper} onClick={redirect}>
      <div className={styles.img}>
        <img src={mianImage || defaultImg} alt="商品主图" />
      </div>
      <p style={{ height: '34px' }}>
        <p className={styles.title}>{name}</p>
      </p>
      <p className={styles.supplierName}>{supplierName}</p>
      <p className={styles.priceWrapper}>
        <span>零售指导价</span>
        <span>{`${currencySymbol}${guidePrice == undefined ? '-' : guidePrice}`}</span>
      </p>
      <p className={styles.purchasePriceWrapper}>
        <span>采购价</span>
        <span>{`${currencySymbol}${price == undefined ? '-' : price}`}</span>
      </p>
    </div>
  )
}

export default GoodsCard
