import React, { useEffect } from 'react'
import { namespace, IPurchaseHome, ALL_ID } from '@/models/purchase-module/purchase-home'
import { connect } from 'react-redux'
import { IDispatch } from '@/models/connect'
import { Menu } from 'antd'
import styles from './style.module.scss'

interface IProps extends IDispatch, Pick<IPurchaseHome, 'menus'> {}

const Item = Menu.Item

const LeftSideMenu: React.FC<IProps> = ({ dispatch, menus }) => {
  useEffect(() => {
    dispatch({
      type: `${namespace}/queryCategoryList`
    })
  }, [])
  function handleClick({ key }) {
    // 存储key
    dispatch({
      type: `${namespace}/setState`,
      payload: {
        selectedId: key,
        id: key,
        keywords: ''
      }
    })
    // 请求数据
    dispatch({
      type: `${namespace}/queryGoodsList`,
      payload: {
        page: 1,
        size: 30,
        categoryId: key
      }
    })
  }
  return (
    <Menu className={styles.menu} defaultSelectedKeys={[ALL_ID]} onClick={handleClick}>
      <Item key={ALL_ID}>全部</Item>
      {menus.map(item => (
        <Item key={item.id}>{item.categoryName}</Item>
      ))}
    </Menu>
  )
}

const mapStateToProps = models => ({
  menus: models[namespace].menus
})

export default connect(mapStateToProps)(LeftSideMenu)
