import { IRouteConfig } from '../../typing'
import PurchaseModule from '@/pages/purchase-module'
import { PURCHASE_HOME, ORDER_CONFIRM, SHOPPING_CART, PURCHASE_DETAIL } from './path'

const routes: IRouteConfig[] = [
  {
    path: PURCHASE_HOME,
    component: PurchaseModule.PurchaseHome,
    breadcrumb: [
      { title: '采购进货', path: '' },
      { title: '采购进货', path: '' }
    ],
    exact: true,
    pageTitle: '采购首页',
    useLayout: true
  },
  {
    path: ORDER_CONFIRM,
    component: PurchaseModule.OrderConfirm,
    breadcrumb: [
      { title: '采购进货', path: PURCHASE_HOME },
      { title: '预订单', path: '' }
    ],
    exact: true,
    pageTitle: '预订单',
    useLayout: true
  },
  {
    path: SHOPPING_CART,
    component: PurchaseModule.ShoppingCart,
    breadcrumb: [
      { title: '采购进货', path: '' },
      { title: '购物车', path: '' }
    ],
    exact: true,
    pageTitle: '购物车',
    useLayout: true
  },
  {
    path: PURCHASE_DETAIL,
    component: PurchaseModule.PurchaseDetail,
    breadcrumb: [
      { title: '采购进货', path: PURCHASE_HOME },
      { title: '商品详情', path: '' }
    ],
    exact: true,
    pageTitle: '商品详情',
    useLayout: true
  }
]

export default routes
