
      type ObjectMap<Key extends string | number | symbol = any, Value = any> = {
        [key in Key]: Value;
      }

      

      
      declare namespace defs {
      
        export class BuyerRegisterRequest {
      
      /** 确认密码 */
      confirmPassword: string;

      /** 登录账号 */
      loginName: string;

      /** 客户经理ID */
      managerId?: string;

      /** 密码 */
      password: string;

      /** 验证码 */
      verifyCode: string;
    }
    
      

        export class CertificationInfoResponse {
      
      /** 当前商家审核状态 */
      status?: string;

      /** 当前商家审核状态描述 */
      statusDesc?: string;
    }
    
      

        export class CreateManagerQrCodeRequest {
      
      /** 操作员ID */
      operId: string;

      /** 重定向路径 */
      redirectUrl: string;

      /** 二维码指向路由 */
      targetUrl: string;
    }
    
      

        export class CustomerResponse {
      
      /** 商户简称 */
      abbreviation?: string;

      /** 详细地址 */
      address?: string;

      /** 审核状态:created 未认证,audit 审核中, pass: 通过, refuse:拒绝 文字描述在certificationDesc属性 */
      certification?: string;

      /** certificationDesc */
      certificationDesc?: string;

      /** 市 */
      cityCode?: string;

      /** 市名称 */
      cityName?: string;

      /** 联系人 */
      contacts?: string;

      /** 区/县 */
      districtCode?: string;

      /** 区/县名称 */
      districtName?: string;

      /** 账户id */
      id?: string;

      /** 是否有代理商权限 */
      isAgentAuthority?: boolean;

      /** 商家编码(未认证没有) */
      memberCode?: string;

      /** 商家名称 */
      memberName?: string;

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberType?: number;

      /** 电话 */
      mobile?: string;

      /** 省code */
      provinceCode?: string;

      /** 省name */
      provinceName?: string;

      /** 参数注释 */
      remark?: string;

      /** 状态：1-注销，2-正常，3-停用，4-冻结 */
      status?: number;

      /** 状态：1-注销，2-正常，3-停用，4-冻结 */
      statusDesc?: string;

      /** 收货乡镇 */
      streetCode?: string;

      /** 收货乡镇 */
      streetName?: string;
    }
    
      

        export class GoodsCategoryAssembleResponse {
      
      /** 背景图链接 */
      bgImageUrl?: string;

      /** 名称 */
      categoryName?: string;

      /** id */
      id?: string;

      /** 层级id */
      level?: number;

      /** 父类id */
      pid?: string;
    }
    
      

        export class GoodsInfoListResponse {
      
      /** 品牌名称 */
      brandName?: string;

      /** 货币代码 */
      currencySymbol?: string;

      /** 商品指导零售价 */
      guidePrice?: string;

      /** 商品id */
      id?: string;

      /** 商品主图 */
      mianImage?: string;

      /** 商品名称 */
      name?: string;

      /** 商品采购价 */
      price?: string;

      /** 卖家id,如果是供应商卖家就是供应商id,如果是合伙人卖家就是合伙人代理id, 其他一样，方便以后填值 */
      sellerId?: string;

      /** 卖家名称,如果是供应商卖家就是供应商名称,如果是合伙人卖家就是合伙人代理名称, 其他一样，方便以后填值 */
      sellerName?: string;

      /** 发货单位营业类型 */
      shipperBusinessType?: string;

      /** 发货单位营业类型描述 */
      shipperBusinessTypeDesc?: string;

      /** 发货单位名称 */
      shipperName?: string;

      /** 是否有库存 */
      stockNum?: number;

      /** 供应商id */
      supplierId?: string;

      /** 供应商名称 */
      supplierName?: string;
    }
    
      

        export class GoodsInfoResponse {
      
      /** 商品品牌id */
      brandId?: string;

      /** 商品品牌名称 */
      brandName?: string;

      /** 商品分类id */
      categoryId?: string;

      /** 商品分类名称 */
      categoryName?: string;

      /** 商品编码，平台编码 */
      code?: string;

      /** 货币符号 */
      currencySymbol?: string;

      /** 发货时间 */
      deliveryShouldDay?: string;

      /** 商品详情，类型请参照原型或者询问产品。可能是html,可能是文本 */
      details?: string;

      /** 标准单品规格信息 */
      goodsInfoSpecResponses?: Array<defs.GoodsInfoSpecResponse>;

      /** 商品指导价格 */
      guidePrice?: string;

      /** id */
      id?: string;

      /** 主图 */
      mainImage?: string;

      /** 最小购买量 */
      minNumber?: number;

      /** 商品名称 */
      name?: string;

      /** 产品公告型号 */
      noticeModelCode?: string;

      /** 商品上架状态 1-上架/2-下架 */
      onState?: number;

      /** 商品采购价格 */
      price?: string;

      /** 商品价格最高价 */
      priceEnd?: number;

      /** 商品价格最低价 */
      priceStart?: number;

      /** 生产周期 */
      produceDay?: number;

      /** 配置介绍 */
      recommend?: string;

      /** 卖家id,如果是供应商卖家就是供应商id,如果是合伙人卖家就是合伙人代理id, 其他一样，方便以后填值 */
      sellerId?: string;

      /** 卖家名称,如果是供应商卖家就是供应商名称,如果是合伙人卖家就是合伙人代理名称, 其他一样，方便以后填值 */
      sellerName?: string;

      /** 商品服务费出参对象 */
      serviceChargeSaveResponse?: defs.GoodsInfoServiceChargeSaveResponse;

      /** 发货单位营业类型 */
      shipperBusinessType?: string;

      /** 发货单位营业类型描述 */
      shipperBusinessTypeDesc?: string;

      /** 发货单位名称 */
      shipperName?: string;

      /** 商品规格值信息 */
      specAttrList?: Array<defs.GoodsInfoSpecAttrSaveResponse>;

      /** 单品类型 (1-标准单品，2-组合单品) */
      specType?: number;

      /** 状态 1-销售/2-禁售 */
      status?: number;

      /** 是否有库存 */
      stockNum?: number;

      /** 供应商编码 */
      supplierCode?: string;

      /** 供应商id */
      supplierId?: string;

      /** 供应商名称 */
      supplierName?: string;

      /** 第3方系统商品编码 */
      thirdCode?: string;

      /** 商品单位名称 */
      unitName?: string;

      /** 视频信息 */
      videoInfo?: defs.VideoInfo;

      /** 轮播图 */
      wheelImage?: Array<string>;
    }
    
      

        export class GoodsInfoServiceChargeSaveResponse {
      
      /** 固定金额 */
      fixedValue?: number;

      /** 百分比参数 */
      percentValue?: number;

      /** 平台服务费类型 none:无 percent:百分比 fixed:固定金额 */
      type?: 'none' | 'percent' | 'fixed';

      /** 平台服务费类型描述 none:无 percent:百分比 fixed:固定金额 */
      typeDesc?: 'none' | 'percent' | 'fixed';
    }
    
      

        export class GoodsInfoSpecAttrSaveResponse {
      
      /** 规格属性id */
      id?: string;

      /** 规格属性名称 */
      name?: string;

      /** 规格属性名称排序 */
      sort?: number;

      /** 规格值 */
      values?: Array<defs.GoodsInfoSpecAttrValResponse>;
    }
    
      

        export class GoodsInfoSpecAttrValResponse {
      
      /** 商品id */
      goodsId?: string;

      /** 规格值id */
      id?: string;

      /** 规格值图片id */
      imageFieldId?: string;

      /** 规格值图片路径 */
      imagePath?: string;

      /** 排序 */
      sort?: number;

      /** 规格id */
      specAttrId?: string;

      /** 规格值名 */
      valueName?: string;
    }
    
      

        export class GoodsInfoSpecResponse {
      
      /** 商品id */
      goodsId?: string;

      /** 指导价 */
      guidePrice?: number;

      /** 规格id */
      id?: string;

      /** 名称 */
      name?: string;

      /** 单品采购价 若采购价未null,则表示用户没有权限查询 */
      purchasePrice?: number;

      /** 是否售卖 */
      sell?: boolean;

      /** 规格编码 */
      specCode?: string;

      /** 商品规格码 */
      specOptionCode?: string;
    }
    
      

        export class IwubidaPageResult<T0 = any> {
        
      /** 当前页码 */
      current?: number;

      /** 列表数据 */
      results?: Array<T0>;

      /** 每页条数 */
      size?: number;

      /** 总记录条数 */
      totalCount?: number;
      }
      
      

        export class MerchOrderCreateGoodsRequest {
      
      /** 商品所属供应商ID */
      customerId?: string;

      /** 订单备注 */
      remark?: string;

      /** 下单商品规格信息 */
      specRequestList?: Array<defs.MerchOrderCreateGoodsSpecRequest>;
    }
    
      

        export class MerchOrderCreateGoodsSpecRequest {
      
      /** 购买数量 */
      number?: number;

      /** 商品规格ID */
      specId?: string;
    }
    
      

        export class MerchOrderCreateRequest {
      
      /** 下单商品详细信息 */
      goodsRequests?: Array<defs.MerchOrderCreateGoodsRequest>;

      /** 订单类型(default-普通订单,groupBuying-团购订单, partner-合伙人订单) */
      orderType?: string;

      /** 收货地址ID */
      receiversAddressId?: string;

      /** 收货人电话 */
      receiversMobile?: string;

      /** 收货人姓名 */
      receiversUserName?: string;

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
    
      

        export class OrderCustomerInfoResponse {
      
      /** 详细地址 */
      address?: string;

      /** 市名称 */
      cityName?: string;

      /** 联系人 */
      contacts?: string;

      /** 区/县名称 */
      districtName?: string;

      /** 账户id */
      id?: string;

      /** 客户编码 */
      memberCode?: string;

      /** 客户名称 */
      memberName?: string;

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberType?: number;

      /** 客户类型(1:系统用户  2-供应商 3-经销商 4-代理商 5-企业 6-C端 消费者 */
      memberTypeDesc?: string;

      /** 联系电话 */
      mobile?: string;

      /** 省name */
      provinceName?: string;

      /** 收货乡镇 */
      streetName?: string;
    }
    
      

        export class OrderCustomerPageRequest {
      
      /** 结束时间 */
      endTime?: string;

      /** 是否分页{特殊场景:可动态切换模式;默认:true;true-分页，false-不分页} */
      isPage?: boolean;

      /** 模糊查询条件 : 供应商名称 订单编号 */
      keyWords?: string;

      /** default-普通订单,groupBuying-团购订单, partner-合伙人订单 */
      orderType?: string;

      /** 页码(默认值:1) */
      page?: number;

      /** (支付状态不为空时,查询订单主状态为所有)audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款 */
      payStatus?: string;

      /** 页量(默认值:10) */
      size?: number;

      /** 开始时间 */
      startTime?: string;

      /** all_全部/created_待接单/accepted_待发货/produced_待收货/finished_已完成/canceled_已取消(关键字与支付状态都为空时,此字段必填) */
      status?: string;

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
    
      

        export class OrderCustomerResponse {
      
      /** 下单商家 */
      buyerInfo?: defs.OrderCustomerInfoResponse;

      /** 供应商信息 */
      sellerInfo?: defs.OrderCustomerInfoResponse;
    }
    
      

        export class OrderDetailGoodsInfoResponse {
      
      /** 商品品牌 */
      brandName?: string;

      /** 商品类型 */
      categoryName?: string;

      /** 商品名称 */
      goodsName?: string;

      /** 商品规格 */
      goodsSpec?: string;

      /** 商品类型 1整车,2配件,3其他 */
      goodsType?: number;

      /** 商品类型 1整车,2配件,3其他 */
      goodsTypeDesc?: string;

      /** 商品数量 */
      number?: number;

      /** 订单号 */
      orderId?: string;

      /** 商品原价 */
      originalPrice?: number;

      /** 商品优惠价 */
      preferentialPrice?: number;

      /** 返回字母，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessType?: string;

      /** 返回汉字描述，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessTypeDesc?: string;

      /** 发货单位ID */
      shipperId?: string;

      /** 发货单位 */
      shipperName?: string;

      /** 商品规格编码 */
      specCode?: string;

      /** 是否有库存 */
      stockNum?: number;

      /** 商品金额小计（优惠后）x.xx自动计算 */
      subtotal?: number;
    }
    
      

        export class OrderDetailInfoMerchResponse {
      
      /** 订单相关客户信息 */
      customerInfoResponse?: defs.OrderCustomerInfoResponse;

      /** 订单商品信息 */
      orderDetailGoodsInfoRespons?: Array<defs.OrderDetailGoodsInfoResponse>;

      /** 订单装填信息 */
      orderDetailStatusResponse?: defs.OrderDetailStatusResponse;

      /** 订单优惠信息 */
      orderDiscountsResponses?: Array<defs.OrderDiscountsResponse>;

      /** 订单基础信息 */
      orderInfoResponse?: defs.OrderInfoResponse;

      /** 订单发票信息 */
      orderInvoiceResponse?: defs.OrderInvoiceResponse;
    }
    
      

        export class OrderDetailMerchRequest {
      
      /** 订单ID */
      orderId: string;

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
    
      

        export class OrderDetailSendedResponse {
      
      /** 发货商品详情 */
      goodsInfoResponseList?: Array<defs.OrderSendedGoodsInfoResponse>;

      /** 物流订单编号 */
      logisticsCode?: string;

      /** 物流单ID */
      logisticsId?: string;

      /** 物流公司名称 */
      logisticsProvider?: string;

      /** 操作人名 */
      operName?: string;

      /** 订单号 */
      orderId?: string;

      /** 发货单ID */
      orderLogisticsId?: string;

      /** 收货时间 */
      receiversTime?: string;

      /** 发货单号 */
      sendCode?: string;

      /** 发货时间 */
      sendTime?: string;

      /** 状态 */
      status?: string;

      /** 状态描述 */
      statusDesc?: string;
    }
    
      

        export class OrderDetailStatusResponse {
      
      /** 订单支付状态 */
      orderPayStatus?: Array<defs.OrderStatusResponse>;

      /** 订单支付状态描述 */
      orderPayStatusDesc?: string;

      /** 订单支付状态时间 */
      orderPayStatusTime?: string;

      /** 订单支付状态描述 */
      orderPayStatusTimeDesc?: string;

      /** 订单状态 */
      orderStatus?: Array<defs.OrderStatusResponse>;

      /** 订单状态描述 */
      orderStatusDesc?: string;

      /** 订单状态时间 */
      orderStatusTime?: string;

      /** 订单状态时间文字描述 */
      orderStatusTimeDesc?: string;
    }
    
      

        export class OrderDiscountsResponse {
      
      /** 优惠金额(x.xx实际支付金额由后台自动计算) */
      discountAmount?: number;

      /** 营销优惠类别(1-会员/2-平台/3-满减) */
      discountsType?: number;

      /** 营销优惠类别(1-会员/2-平台/3-满减) */
      discountsTypeDesc?: string;

      /** 最终价 */
      finalPrice?: number;

      /** 订单号 */
      orderId?: string;

      /** 原价 */
      originalPrice?: number;

      /** 优惠价 */
      preferentialPrice?: number;
    }
    
      

        export class OrderGoodsInfoResponse {
      
      /** 商品名称 */
      goodsName?: string;

      /** 商品数量 */
      number?: number;

      /** 订单号 */
      orderId?: string;

      /** 返回字母，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessType?: string;

      /** 返回汉字描述，营业类型(selfCamp-自营 otherCamp-他营) */
      shipperBusinessTypeDesc?: string;

      /** 发货单位ID */
      shipperId?: string;

      /** 发货单位 */
      shipperName?: string;
    }
    
      

        export class OrderInfoMainStatusResponse {
      
      /** 之后状态值 */
      afterStatus?: Array<string>;

      /** 当前状态值 */
      currentStatus?: string;

      /** 之前状态值 */
      frontStatus?: Array<string>;
    }
    
      

        export class OrderInfoResponse {
      
      /** 接单时间 */
      acceptTime?: string;

      /** 订单已付金额(x.xx用户已支付金额(如订金)) */
      amountPaid?: number;

      /** 订单应付金额(x.xx公式：订单原价-优惠-服务费自动计算) */
      amountPayable?: number;

      /** 订单结欠金额(x.xx公式：订单应付金额-订单已付金额自动计算) */
      balanceDue?: number;

      /** 买家id */
      buyerId?: string;

      /** 买家名称 */
      buyerName?: string;

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerType?: number;

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerTypeDesc?: string;

      /** 买家备注 */
      buyersNote?: string;

      /** 取消原因 */
      cancelReason?: string;

      /** 取消备注 */
      cancelRemark?: string;

      /** 取消时间 */
      cancelTime?: string;

      /** 收货地址 城市编码 */
      cityCode?: string;

      /** 收货地址 城市名称 */
      cityName?: string;

      /** 单号编号 */
      code?: string;

      /** 创建时间 */
      createTime?: string;

      /** 货币符号 */
      currencySymbol?: string;

      /** wait_待清分/uncheck_待审核/done_已清分/process_清分中 */
      dealStatus?: string;

      /** 物流地址ID */
      deliveryAddressId?: string;

      /** 收货地址 区编码 */
      districtCode?: string;

      /** 收货地址 区名称 */
      districtName?: string;

      /** id */
      id?: string;

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达（连接第3方系统状态或人工输入)) */
      logisticsStatus?: string;

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达 (连接第3方系统状态或人工输入)) */
      logisticsStatusDesc?: string;

      /** 主状态模块 */
      mainStatus?: defs.OrderInfoMainStatusResponse;

      /** 联系方式 */
      mobile?: string;

      /** 收货地址 国家码 */
      nationalityCode?: string;

      /** 收货地址 国家名称 */
      nationalityName?: string;

      /** 创建人员 */
      operIdCreate?: string;

      /** 修改人员 */
      operIdMod?: string;

      /** 创建人员 姓名 */
      operNameCreate?: string;

      /** 修改人员姓名 */
      operNameMod?: string;

      /** 订单类型(default-普通订单,groupBuying-团购订单) */
      orderType?: string;

      /** 订单原价 */
      originalPrice?: number;

      /** 支付金额 */
      payAmount?: number;

      /** 支付渠道(1-微信、2-支付宝、3-银联、4-线下) */
      payChannel?: number;

      /** 支付渠道(1-线上/2-线下 */
      payChannelDesc?: string;

      /** 支付状态audit-审核中,unpaid-待支付/settle-待结算/canc-已取消/paid-已支付/partPaid-部分支付/settled-已结算/refund-待退款/rebates-部分退款/refunded-已退款) */
      payStatus?: string;

      /** 支付状态unpaid-待支付/settle-待结算/canc-已取消/paid-已支付/partPaid-部分支付/settled-已结算/refund-待退款/rebates-部分退款/refunded-已退款) */
      payStatusDesc?: string;

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWay?: number;

      /** 支付方式(all-全款支付/deposit-订金支付/cash_on_delivery-货到付款/send-发货付款/credit-授信支付/balance-尾款支付) */
      payWayDesc?: string;

      /** porderId */
      porderId?: string;

      /** 订单优惠 */
      preferentialPrice?: number;

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
 */
      productionStatus?: string;

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
 */
      productionStatusDesc?: string;

      /** 收货地址 省编码 */
      provinceCode?: string;

      /** 收货地址 省名称 */
      provinceName?: string;

      /** 收货地址 收货详细地址 */
      receiverAddress?: string;

      /** 收货地址 电话 */
      receiverMobile?: string;

      /** 收货地址 收货人名称 */
      receiverName?: string;

      /** 备注 */
      remark?: string;

      /** 卖家id */
      sellerId?: string;

      /** 卖家名称 */
      sellerName?: string;

      /** 卖家类型(4-代理商/2-生产商) */
      sellerType?: number;

      /** 卖家类型(4-代理商/2-生产商) */
      sellerTypeDesc?: string;

      /** 平台服务费 */
      servicePrice?: number;

      /** 平台补贴优惠(使用平台优惠券场景下) */
      serviceSubsidyPrice?: number;

      /** 订单是否需要支付(判断立即支付按钮是否展示) */
      showPay?: boolean;

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      status?: string;

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      statusDesc?: string;

      /** 收货乡镇 */
      streetCode?: string;

      /** 收货乡镇 */
      streetName?: string;

      /** 税率 */
      taxRate?: number;

      /** 第三方订单编号 */
      thirdCode?: string;

      /** 订单商品总数 */
      totalNumber?: number;

      /** 修改时间 */
      updateTime?: string;

      /** 物流方式(1-物流配送/2-到店自提) */
      way?: number;

      /** 物流方式(1-物流配送/2-到店自提) */
      wayDesc?: string;
    }
    
      

        export class OrderInvoiceResponse {
      
      /** 账号 */
      account?: string;

      /** 开户行 */
      bank?: string;

      /** 单位名称 */
      companyName?: string;

      /** 发票内容(商品明细根据商品列表列出，但亦可由卖方修改，只是开票参考) */
      content?: string;

      /** 创建时间 */
      createTime?: string;

      /** id */
      id?: string;

      /** 纳税人识别号 */
      identifyNumber?: string;

      /** 发票类型(发票性质 1-个人 2-公司) */
      invoiceNature?: number;

      /** 电话 */
      mobile?: string;

      /** 创建人员 */
      operIdCreate?: string;

      /** 修改人员 */
      operIdMod?: string;

      /** 创建人员 姓名 */
      operNameCreate?: string;

      /** 修改人员姓名 */
      operNameMod?: string;

      /** 订单号 */
      orderId?: string;

      /** 发票状态(1-已开票/2-待开票/不3-适用) */
      status?: number;

      /** 发票状态(1-已开票/2-待开票/不3-适用) */
      statusDesc?: string;

      /** 发票抬头:卖方公司名称 */
      title?: string;

      /** 发票类型(1-普通发票/2-增值税发票) */
      type?: number;

      /** 发票类型(1-普通发票/2-增值税发票) */
      typeDesc?: string;

      /** 单位地址 */
      unitAddress?: string;

      /** 修改时间 */
      updateTime?: string;
    }
    
      

        export class OrderLogisticsPageRequest {
      
      /** 是否分页{特殊场景:可动态切换模式;默认:true;true-分页，false-不分页} */
      isPage?: boolean;

      /** 模糊查询条件 : 供应商名称 订单编号 */
      keyWords?: string;

      /** 页码(默认值:1) */
      page?: number;

      /** 页量(默认值:10) */
      size?: number;

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
    
      

        export class OrderLogisticsReponse {
      
      /** 创建时间 */
      createTime?: string;

      /** id */
      id?: string;

      /** 物流订单编号 */
      logisticsCode?: string;

      /** 物流公司名称 */
      logisticsProvider?: string;

      /** 创建人员 */
      operIdCreate?: string;

      /** 修改人员 */
      operIdMod?: string;

      /** 创建人员 姓名 */
      operNameCreate?: string;

      /** 修改人员姓名 */
      operNameMod?: string;

      /** 订单编号 */
      orderCode?: string;

      /** 订单ID */
      orderId?: string;

      /** 发货单编号 */
      orderLogisticsId?: string;

      /** 收货时间 */
      receiversTime?: string;

      /** 收货商家id */
      receiversUserId?: string;

      /** 收货商家名称 */
      receiversUserName?: string;

      /** 发货备注 */
      remark?: string;

      /** 发货单号 */
      sendCode?: string;

      /** 发货时间 */
      sendTime?: string;

      /** 此次发货总数量 */
      sendTotal?: number;

      /** 发货商家id */
      sendUserId?: string;

      /** 发货商家名称 */
      sendUserName?: string;

      /** 状态 */
      status?: string;

      /** 状态描述 */
      statusDesc?: string;

      /** 修改时间 */
      updateTime?: string;
    }
    
      

        export class OrderPageInfoDetailReponse {
      
      /** 代理商编号 */
      agentCode?: string;

      /** 代理商id */
      agentId?: string;

      /** 代理商名称 */
      agentName?: string;

      /** 订单已付金额(x.xx用户已支付金额(如订金)) */
      amountPaid?: number;

      /** 订单应付金额(x.xx公式：订单原价-优惠-服务费自动计算) */
      amountPayable?: number;

      /** 订单结欠金额(x.xx公式：订单应付金额-订单已付金额自动计算) */
      balanceDue?: number;

      /** 买家编码 */
      buyerCode?: string;

      /** 买家id */
      buyerId?: string;

      /** 买家名称 */
      buyerName?: string;

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerType?: number;

      /** 买家类型(4-代理商/3-经销商/2-生产商/5-企业/6-消费者) */
      buyerTypeDesc?: string;

      /** 订单编号 */
      code?: string;

      /** 下单日期 */
      createTime?: string;

      /** 清分模式 (hand-手动  auto-自动) */
      dealMode?: string;

      /** 清分状态 (wait-待清分，uncheck-待审核，done-已清分，process-清分中) */
      dealStatus?: string;

      /** ID */
      id?: string;

      /** 订单是否可收货 */
      isReceipt?: boolean;

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达
            (连接第3方系统状态或人工输入)) */
      logisticsStatus?: string;

      /** 物流状态(undeliveried-待发货/distribution-配送中/deliveried-已送达
            (连接第3方系统状态或人工输入)) */
      logisticsStatusDesc?: string;

      /** 订单商品 */
      orderGoodsInfoResponseList?: Array<defs.OrderGoodsInfoResponse>;

      /** 订单类型 */
      orderType?: string;

      /** 订单类型 */
      orderTypeDesc?: string;

      /** 支付渠道(线上(1-微信、2-支付宝、3-银联)/4-线下 */
      payChannel?: number;

      /** 支付渠道(线上(1-微信、2-支付宝、3-银联)/4-线下 */
      payChannelDesc?: string;

      /** 支付状态(audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款) */
      payStatus?: string;

      /** 支付状态(支付状态(audit-待审核,unpaid-待支付,paid-已支付,refunded-已退款,settle-待结算,canc-已取消,partPaid-部分支付,settled-已结算,refund-待退款,rebates-部分退款)) */
      payStatusDesc?: string;

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWay?: number;

      /** 支付方式(1-全款支付/2-订金支付/3-货到付款/4-货到月结) */
      payWayDesc?: string;

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
            (连接第3方系统状态或人工输入) */
      productionStatus?: string;

      /** 生产状态(unproduced-待生产/production-生产中/produced_生产完成
            (连接第3方系统状态或人工输入) */
      productionStatusDesc?: string;

      /** 卖家编码 */
      sellerCode?: string;

      /** 卖家id */
      sellerId?: string;

      /** 卖家名称 */
      sellerName?: string;

      /** 卖家类型(4-代理商/2-生产商) */
      sellerType?: number;

      /** 卖家类型(4-代理商/2-生产商) */
      sellerTypeDesc?: string;

      /** 供应商端(created_待接单/(accepted,accepted_part)_待发货(显示商品发货)/(sending,produced,produced_part)_待收货(显示商品收货)/(receive,finished)_已完成/canceled_已取消)
经销商端(created_待接单/accepted_待发货/accepted_part(待发货,显示商品收货)/(sending,produced,produced_part)_待收货(显示商品收货)/(receive,finished)_已完成/canceled_已取消 */
      status?: string;

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消) */
      statusDesc?: string;

      /** 订单三方编号 */
      thirdCode?: string;
    }
    
      

        export class OrderPayDetailsListResponse {
      
      /** 审核意见 */
      auditReason?: string;

      /** 审核人员 */
      operNameMod?: string;

      /** 订单id */
      orderId?: string;

      /** 支付金额 */
      payAmount?: number;

      /** 支付方式(1-微信、2-支付宝、3-银联、4-线下) */
      payChannel?: number;

      /** 支付方式-中文描述 */
      payChannelDesc?: string;

      /** 支付单号 */
      payCode?: string;

      /** 支付id */
      payId?: string;

      /** 支付时间 */
      payTime?: string;

      /** 备注 */
      remark?: string;

      /** 支付状态(audit-待审核,paid-已完成,canc-已作废) */
      status?: string;

      /** 支付状态中文描述 */
      statusDesc?: string;

      /** 审核时间 */
      updateTime?: string;

      /** 收款凭证图片列表 */
      voucherImgList?: Array<string>;
    }
    
      

        export class OrderPayDetailsResponse {
      
      /** 订单已付金额 */
      amountPaid?: number;

      /** 订单应付金额 */
      amountPayable?: number;

      /** 订单结欠金额(待付金额) */
      balanceDue?: number;

      /** 主状态模块 */
      mainStatus?: defs.OrderInfoMainStatusResponse;

      /** 销售单号 */
      orderCode?: string;

      /** 订单id */
      orderId?: string;

      /** 订单原价 */
      originalPrice?: number;

      /** 支付记录 */
      paymentRecord?: Array<defs.OrderPayDetailsListResponse>;

      /** 订单优惠 */
      preferentialPrice?: number;

      /** 订单状态(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      status?: string;

      /** 订单状态中文描述(created_待接单/accepted_待发货/acceptedpart_部分发货/produced_待收货/producedpart_部分收货/finished_已完成/canceled_已取消 */
      statusDesc?: string;
    }
    
      

        export class OrderSendedGoodsInfoResponse {
      
      /** 商品品牌 */
      brandName?: string;

      /** 商品类型 */
      categoryName?: string;

      /** 商品名称 */
      goodsName?: string;

      /** 商品规格 */
      goodsSpec?: string;

      /** 商品类型 1整车,2配件,3其他 */
      goodsType?: number;

      /** 商品类型 1整车,2配件,3其他 */
      goodsTypeDesc?: string;

      /** 订单详情ID */
      orderDetailId?: string;

      /** 本次发货数量 */
      sendedNumber?: number;

      /** 商品规格编码 */
      specCode?: string;

      /** 商品总量 */
      totalNumber?: number;
    }
    
      

        export class OrderStatusResponse {
      
      /** 当前状态时间 */
      createTime?: string;

      /** 当前状态时间文字描述 */
      createTimeDesc?: string;

      /** id */
      id?: string;

      /** 创建人员 */
      operIdCreate?: string;

      /** 修改人员 */
      operIdMod?: string;

      /** 创建人员 姓名 */
      operNameCreate?: string;

      /** 修改人员姓名 */
      operNameMod?: string;

      /** 订单号ID */
      orderId?: string;

      /** 当前状态 */
      status?: string;

      /** 当前状态 */
      statusDesc?: string;

      /** 状态类型 1-订单状态,2-物流装填,3-支付状态,4-生产状态 */
      statusType?: number;

      /** 状态类型 1-订单状态,2-物流装填,3-支付状态,4-生产状态 */
      statusTypeDesc?: number;

      /** 修改时间 */
      updateTime?: string;
    }
    
      

        export class Result<T0 = any> {
        
      /** 业务码->200:处理成功,500-业务逻辑错误,1005-服务端全局错误统一提示语;其他业务码视接口返回定义 */
      code?: string;

      /** 返回数据 */
      data?: T0;

      /** 异常信息 */
      exceptionMsg?: string;

      /** 提示语言(用户视图语言) */
      message?: string;

      /** 是否成功(code=200,为true;code多值时刻体现作用方便判断):true=200-成功,false-失败结合code处理相应逻辑 */
      success?: boolean;
      }
      
      

        export class SessionCreateRequest {
      
      /** 登录账户 */
      account: string;

      /** 账户密码 */
      password: string;
    }
    
      

        export class SupplierResponse {
      
      /** 地址 */
      address?: string;

      /** 联系人 */
      contact?: string;

      /** id */
      id?: string;

      /** 介绍 */
      introduce?: string;

      /** 门面图片 */
      logo?: string;

      /** 联系电话 */
      mobile?: string;

      /** 供应商名称 */
      name?: string;

      /** 上班时间 */
      openTime?: string;

      /** 工作日 */
      workingDay?: string;

      /** 下班时间v1.1未使用 */
      workingHourEnd?: string;

      /** 上班时间 v1.1未使用 */
      workingHourStart?: string;
    }
    
      

        export class UBuyerAddressResponse {
      
      /** 详细地址 */
      address?: string;

      /** 市 */
      cityCode?: string;

      /** 市名称 */
      cityName?: string;

      /** 联系人 */
      contact?: string;

      /** 区 */
      districtCode?: string;

      /** 区 */
      districtName?: string;

      /** 配送地址ID */
      id?: string;

      /** 电话 */
      mobile?: string;

      /** 国 */
      nationalityCode?: string;

      /** 国名称 */
      nationalityName?: string;

      /** 省code */
      provinceCode?: string;

      /** 省name */
      provinceName?: string;

      /** 街道码 */
      streetCode?: string;

      /** 街道名称 */
      streetName?: string;

      /** 用户id */
      userId?: string;
    }
    
      

        export class VideoInfo {
      
      /** 视频 */
      video?: string;

      /** 视频封面 */
      videoPoster?: string;
    }
    
      

        export class XxxxRequest {
      
      /** 名称 */
      name?: string;

      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
    
      
    }
    
    

      
      declare namespace API {
        
          /**
           * k8s互通接口,非业务使用
           */
          export namespace bootInitServices {
            
      /**
        * 获取版本appVersion
        * /api/cphl/merch/app/version
        */
      export namespace appVersion {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<string>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<string>>;
    
      }
    

      /**
        * 提供给k8s使用自动销毁pod作用
        * /api/cphl/merch/healthy/check
        */
      export namespace check {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<number>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<number>>;
    
      }
    

      /**
        * heart检查
        * /api/cphl/merch/heart
        */
      export namespace heart {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    
          }
        


          /**
           * 商品接口 --程小洪
           */
          export namespace goods {
            
      /**
        * 商品详情
        * /api/cphl/merch/goods/detail
        */
      export namespace detail {
        
      export class Params {
      
      /** id */
      id: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result<defs.GoodsInfoResponse>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<defs.GoodsInfoResponse>>;
    
      }
    

      /**
        * 商品分页
        * /api/cphl/merch/goods/list
        */
      export namespace page {
        
      export class Params {
      
      /** 分类id */
      categoryId?: string;
      /** 商品名称 */
      goodsName?: string;
      /** 首页大小 */
      indexSize?: number;
      /** 页码 */
      page: number;
      /** 页量 */
      size: number;
      /** 供应商id */
      supplierId?: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.IwubidaPageResult<defs.GoodsInfoListResponse>;
      export const init: Response;
      export function request(params: Params): Promise<defs.IwubidaPageResult<defs.GoodsInfoListResponse>>;
    
      }
    
          }
        


          /**
           * 商品分类接口 --程小洪
           */
          export namespace goodsCategory {
            
      /**
        * 商量类别接口
        * /api/cphl/merch/good/category/list
        */
      export namespace list {
        
      export class Params {
      
      /** 父类别id */
      pid?: string;
    }
  

      export type Response = Array<defs.GoodsCategoryAssembleResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.GoodsCategoryAssembleResponse>>;
    
      }
    

      /**
        * 获取指定层级商品类别
        * /api/cphl/merch/good/category/list/level
        */
      export namespace listByLevels {
        
      export class Params {
      
      /** 层级 */
      levels?: Array<number>;
    }
  

      export type Response = Array<defs.GoodsCategoryAssembleResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.GoodsCategoryAssembleResponse>>;
    
      }
    
          }
        


          /**
           * 订单_支付业务控制接收器 ---罗明俊
           */
          export namespace merchOrderPayment {
            
      /**
        * 付款-订单详情
        * /api/cphl/merch/payment/pay/payDetail
        */
      export namespace payDetail {
        
      export class Params {
      
      /** 订单id */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderPayDetailsResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderPayDetailsResponse>;
    
      }
    
          }
        


          /**
           * 供应商订单状态相关接口 ---李健飞
           */
          export namespace merchOrderStatus {
            
      /**
        * 取消
        * /api/cphl/merch/order/status/namager/cancel
        */
      export namespace cancel {
        
      export class Params {
      
      /** 订单id */
      id: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 订单支付
        * /api/cphl/merch/order/status/namager/order/pay
        */
      export namespace orderPay {
        
      export class Params {
      
      /** orderId */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 收货
        * /api/cphl/merch/order/status/namager/receive
        */
      export namespace receive {
        
      export class Params {
      
      /** 发货单id */
      orderLogisticsId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    
          }
        


          /**
           * 经销商端采购订单管理接口 ---李健飞
           */
          export namespace merchProcurementOrder {
            
      /**
        * 获取发货记录列表
        * /api/cphl/merch/procurement/order/logistics/page
        */
      export namespace pageLogistics {
        
      export class Params {
      
    }
  

      export type Response = defs.IwubidaPageResult<defs.OrderLogisticsReponse>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.OrderLogisticsPageRequest): Promise<defs.IwubidaPageResult<defs.OrderLogisticsReponse>>;
    
      }
    

      /**
        * 创建新订单
        * /api/cphl/merch/procurement/order/manager/create
        */
      export namespace createOrder {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.MerchOrderCreateRequest): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 根据ID获取采购订单详细信息
        * /api/cphl/merch/procurement/order/manager/detail
        */
      export namespace getOrderDetailInfo {
        
      export class Params {
      
    }
  

      export type Response = defs.OrderDetailInfoMerchResponse;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.OrderDetailMerchRequest): Promise<defs.OrderDetailInfoMerchResponse>;
    
      }
    

      /**
        * 根据ID获取订单基本信息
        * /api/cphl/merch/procurement/order/manager/detail/basis
        */
      export namespace listOrderBasisInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderInfoResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderInfoResponse>;
    
      }
    

      /**
        * 根据ID获取订单商家信息(下单商家/供应商)
        * /api/cphl/merch/procurement/order/manager/detail/customer
        */
      export namespace getCustomerInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderCustomerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderCustomerResponse>;
    
      }
    

      /**
        * 根据ID获取订单优惠信息
        * /api/cphl/merch/procurement/order/manager/detail/discounts
        */
      export namespace listOrderDiscounts {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.OrderDiscountsResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.OrderDiscountsResponse>>;
    
      }
    

      /**
        * 根据ID获取订单商品信息
        * /api/cphl/merch/procurement/order/manager/detail/goods
        */
      export namespace listOrderGoodsDetailInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.OrderDetailGoodsInfoResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.OrderDetailGoodsInfoResponse>>;
    
      }
    

      /**
        * 根据ID获取订单收货信息
        * /api/cphl/merch/procurement/order/manager/detail/goods/receive/info
        */
      export namespace listOrderGoodsReceiveInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.OrderDetailSendedResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.OrderDetailSendedResponse>>;
    
      }
    

      /**
        * 根据ID获取订单发票信息
        * /api/cphl/merch/procurement/order/manager/detail/invoice
        */
      export namespace listOrderInvoice {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderInvoiceResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderInvoiceResponse>;
    
      }
    

      /**
        * 根据ID获取订单状态信息
        * /api/cphl/merch/procurement/order/manager/detail/status
        */
      export namespace listOrderStatus {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderDetailStatusResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderDetailStatusResponse>;
    
      }
    

      /**
        * 获取上次下单地址ID
        * /api/cphl/merch/procurement/order/manager/get/last/address_id
        */
      export namespace getLastAddressId {
        
      export class Params {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result<number>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<number>>;
    
      }
    

      /**
        * 获取登录用户配送地址列表
        * /api/cphl/merch/procurement/order/manager/list/address
        */
      export namespace listBuyerAddress {
        
      export class Params {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.UBuyerAddressResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.UBuyerAddressResponse>>;
    
      }
    

      /**
        * 分页获取订单列表
        * /api/cphl/merch/procurement/order/manager/page
        */
      export namespace pageOrder {
        
      export class Params {
      
    }
  

      export type Response = defs.IwubidaPageResult<defs.OrderPageInfoDetailReponse>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.OrderCustomerPageRequest): Promise<defs.IwubidaPageResult<defs.OrderPageInfoDetailReponse>>;
    
      }
    
          }
        


          /**
           * 经销商端销售订单管理接口 ---李健飞
           */
          export namespace merchSalesOrder {
            
      /**
        * 根据ID获取销售订单详细信息
        * /api/cphl/merch/sales/order/manager/detail
        */
      export namespace getOrderDetailInfo {
        
      export class Params {
      
    }
  

      export type Response = defs.OrderDetailInfoMerchResponse;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.OrderDetailMerchRequest): Promise<defs.OrderDetailInfoMerchResponse>;
    
      }
    

      /**
        * 根据ID获取订单基本信息
        * /api/cphl/merch/sales/order/manager/detail/basis
        */
      export namespace listOrderBasisInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderInfoResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderInfoResponse>;
    
      }
    

      /**
        * 根据ID获取订单商家信息(下单商家/供应商)
        * /api/cphl/merch/sales/order/manager/detail/customer
        */
      export namespace getCustomerInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderCustomerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderCustomerResponse>;
    
      }
    

      /**
        * 根据ID获取订单优惠信息
        * /api/cphl/merch/sales/order/manager/detail/discounts
        */
      export namespace listOrderDiscounts {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.OrderDiscountsResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.OrderDiscountsResponse>>;
    
      }
    

      /**
        * 根据ID获取订单商品信息
        * /api/cphl/merch/sales/order/manager/detail/goods
        */
      export namespace listOrderGoodsDetailInfo {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = Array<defs.OrderDetailGoodsInfoResponse>;
      export const init: Response;
      export function request(params: Params): Promise<Array<defs.OrderDetailGoodsInfoResponse>>;
    
      }
    

      /**
        * 根据ID获取订单发票信息
        * /api/cphl/merch/sales/order/manager/detail/invoice
        */
      export namespace listOrderInvoice {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderInvoiceResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderInvoiceResponse>;
    
      }
    

      /**
        * 根据ID获取订单状态信息
        * /api/cphl/merch/sales/order/manager/detail/status
        */
      export namespace listOrderStatus {
        
      export class Params {
      
      /** 订单ID */
      orderId: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.OrderDetailStatusResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.OrderDetailStatusResponse>;
    
      }
    

      /**
        * 分页获取订单列表
        * /api/cphl/merch/sales/order/manager/page
        */
      export namespace pageOrder {
        
      export class Params {
      
    }
  

      export type Response = defs.IwubidaPageResult<defs.OrderPageInfoDetailReponse>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.OrderCustomerPageRequest): Promise<defs.IwubidaPageResult<defs.OrderPageInfoDetailReponse>>;
    
      }
    
          }
        


          /**
           * 物必达经销商平台用户对话接口 --程小洪
           */
          export namespace session {
            
      /**
        * 根据Token换取商户审核状态
        * /api/cphl/merch/session/certification
        */
      export namespace getCertification {
        
      export class Params {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.CertificationInfoResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.CertificationInfoResponse>;
    
      }
    

      /**
        * 检查电话号码是否可用
        * /api/cphl/merch/session/check/mobile
        */
      export namespace checkMobile {
        
      export class Params {
      
      /** mobile */
      mobile: string;
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 登录
        * /api/cphl/merch/session/create
        */
      export namespace create {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<string>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.SessionCreateRequest): Promise<defs.Result<string>>;
    
      }
    

      /**
        * 生成管理员二维码
        * /api/cphl/merch/session/create/managet/qrcode
        */
      export namespace createManagerQrCode {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.CreateManagerQrCodeRequest): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 根据Token换取商户信息
        * /api/cphl/merch/session/customerInfo
        */
      export namespace getCustomerInfo {
        
      export class Params {
      
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.CustomerResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.CustomerResponse>;
    
      }
    

      /**
        * 获取管理员二维码
        * /api/cphl/merch/session/get/managet/qrcode
        */
      export namespace getManagerQrCode {
        
      export class Params {
      
      /** managerId */
      managerId: string;
    }
  

      export type Response = defs.Result<string>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<string>>;
    
      }
    

      /**
        * 注册
        * /api/cphl/merch/session/register
        */
      export namespace registerBuyer {
        
      export class Params {
      
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.BuyerRegisterRequest): Promise<defs.Result<boolean>>;
    
      }
    

      /**
        * 发送验证码
        * /api/cphl/merch/session/send_valid_code
        */
      export namespace sendValidCode {
        
      export class Params {
      
      /** mobile */
      mobile: string;
    }
  

      export type Response = defs.Result<boolean>;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result<boolean>>;
    
      }
    
          }
        


          /**
           * 供应商接口 --程小洪
           */
          export namespace supplier {
            
      /**
        * 商家信息接口
        * /api/cphl/merch/supplier/detail
        */
      export namespace supplierInfo {
        
      export class Params {
      
      /** 供应商id */
      id: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.SupplierResponse;
      export const init: Response;
      export function request(params: Params): Promise<defs.SupplierResponse>;
    
      }
    
          }
        


          /**
           * 后端Swager接口测试--前端可忽略此接口
           */
          export namespace xxx {
            
      /**
        * get测试参数映射
        * /api/cphl/merch/demo/get
        */
      export namespace get {
        
      export class Params {
      
      /** 名称 */
      name?: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result>;
    
      }
    

      /**
        * post测试参数映射
        * /api/cphl/merch/demo/post
        */
      export namespace post {
        
      export class Params {
      
      /** 名称 */
      name?: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result>;
    
      }
    

      /**
        * postBody测试参数映射
        * /api/cphl/merch/demo/postBody
        */
      export namespace postBody {
        
      export class Params {
      
    }
  

      export type Response = defs.Result;
      export const init: Response;
      export function request(params: Params, bodyParams: defs.XxxxRequest): Promise<defs.Result>;
    
      }
    

      /**
        * postUpload文件映射测试,单个文件上传multipart/form-data上传文件
        * /api/cphl/merch/demo/postUpload
        */
      export namespace postUpload {
        
      export class Params {
      
      /** 名称 */
      name?: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  

      export type Response = defs.Result;
      export const init: Response;
      export function request(params: Params): Promise<defs.Result>;
    
      }
    
          }
        
      }
    
    
    