
    /**
     * @desc 商品分页
     */
    import request from '@/utils/request'
    export class IQueryParams {
      
      /** 分类id */
      categoryId?: string;
      /** 商品名称 */
      goodsName?: string;
      /** 首页大小 */
      indexSize?: number;
      /** 页码 */
      page: number;
      /** 页量 */
      size: number;
      /** 供应商id */
      supplierId?: string;
      /** 登录code,前端无需传,网关解析:接口生成已屏蔽 */
      tokenUserCode?: string;
    }
  
    export 
    interface IParams{
      queryParams:IQueryParams
      
    }
    
    export function page({queryParams}:IParams = {} as IParams) {
      return request({
        url: `/api/cphl/merch/goods/list`,
        method: 'get',
        noLoading:false,
        params: queryParams
      });
    }
   